LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::i18n::CalendarDisplayIndex Constant Group Referencepublished

Values to be passed to XCalendar::getDisplayName(). More...

## Variables
const short | AM_PM = 0
| name of an AM/PM value More...
const short | DAY = 1
| name of a day of week More...
const short | MONTH = 2
| name of a month More...
const short | YEAR = 3
| name of a year (if used for a specific calendar) More...
const short | ERA = 4
| name of an era, like BC/AD More...
const short | GENITIVE_MONTH = 5
| name of a possessive genitive case month More...
const short | PARTITIVE_MONTH = 6
| name of a partitive case month More...

## Detailed Description

Values to be passed to XCalendar::getDisplayName().

## Variable Documentation

## ◆ AM_PM

const short AM_PM = 0

name of an AM/PM value

## ◆ DAY

const short DAY = 1

name of a day of week

## ◆ ERA

const short ERA = 4

name of an era, like BC/AD

## ◆ GENITIVE_MONTH

const short GENITIVE_MONTH = 5

name of a possessive genitive case month

Since
  LibreOffice 3.5

## ◆ MONTH

const short MONTH = 2

name of a month

## ◆ PARTITIVE_MONTH

const short PARTITIVE_MONTH = 6

name of a partitive case month

Since
  LibreOffice 3.5

## ◆ YEAR

const short YEAR = 3

name of a year (if used for a specific calendar)